%define ver_major 1.2
%define build_cvs 0
%def_with python
%def_with guile

Name: gnumeric
Version: %ver_major.13
Release: alt1
Serial: 1

Summary: A full-featured spreadsheet for GNOME
License: GPL
Group: Office
Url: http://www.gnome.org/gnumeric/

%if %build_cvs
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%ver_major/%name-%{version}cvs.tar.bz2
%else
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%ver_major/%name-%version.tar.bz2
%endif

Source1: %name-48.png.bz2
Source2: %name-32.png.bz2
Source3: %name-16.png.bz2

Source4: %name-1.2.13-ru.po.bz2

Patch: %name-1.2.13-alt-makefiles.patch

# Provided by python_loader.so
Provides: python%__python_version(Gnumeric)
Provides: python%__python_version(gsf)

%define scrollkeeper_ver 0.3.14
%define GConf_ver 2.6.0
%define gsf_ver 1.9.0

PreReq: GConf2 >= %GConf_ver
PreReq: scrollkeeper >= %scrollkeeper_ver
PreReq: libgda2 >= 0.90.0
PreReq: libgsf >= %gsf_ver

BuildPreReq: gnome-common
BuildPreReq: menu-devel
BuildPreReq: GConf2 >= %GConf_ver
BuildPreReq: libgda2-devel >= 0.90.0
BuildPreReq: libgsf-devel >= %gsf_ver
BuildPreReq: intltool >= 0.28

# to pregenarate help files
%define yelp_ver 2.6.1
BuildPreReq: yelp >= %yelp_ver

# Automatically added by buildreq on Thu Jul 01 2004 (-bi)
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs docbook-utils esound fontconfig-devel freetype2-devel gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel indent intltool libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgda2-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomedb-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgsf-devel libgsf-gnome-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel libxslt-devel menu-devel perl-XML-Parser perl-devel pkgconfig pygtk2-devel python-base python-dev python-modules-compiler python-modules-encodings rpm-build-python scrollkeeper zlib-devel

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of GUI
applications and desktop tools to be used in conjunction with a window manager
for the X Window System. Gnumeric is a spreadsheet program for GNOME. This
program is intended to be a replacement for a commercial spreadsheet, so quite
a bit of work has gone into the program.

Install gnumeric if you want to use a spreadsheet program with GNOME.

%prep
%if %build_cvs
%setup -q -n %name
%else
%setup -q
%patch -p1
%endif

%__rm -f schemas/*.schemas
%__subst 's,\@prefix\@,%_prefix,' GNOME_Gnumeric.server.in.in
bzcat %SOURCE4 > po/ru.po.new

%build
%if %build_cvs
CFLAGS=$RPM_OPT_FLAGS ./autogen.sh --prefix=%_prefix --disable-maintainer-mode
%make clean
%endif

%__rm -f missing
%__libtoolize --copy --force
intltoolize --copy --force
%__aclocal -I %_datadir/aclocal/gnome2-macros
%__autoheader
%__automake -a -c -f
%__autoconf

%configure  --disable-schemas-install \
	--with-bonobo \
%if_with python
	--with-python \
%endif
%if_with guile
	--with-guile
%endif

# SMP-incompatible build
%make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# hack to get working help
%__mkdir_p %buildroot%_datadir/%name/%version-bonobo/share
%__ln_s ../../gnome %buildroot%_datadir/%name/%version-bonobo/gnome
%__ln_s ../../../gnome %buildroot%_datadir/%name/%version-bonobo/share/gnome

# menu
%__mkdir -p %buildroot%_menudir
freedesktop2menu.pl %name "Office/Spreadsheets" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

# icons
%__mkdir_p %buildroot%_liconsdir
%__mkdir_p %buildroot%_iconsdir
%__mkdir_p %buildroot%_miconsdir
bzcat %SOURCE1 > %buildroot/%_liconsdir/%name.png
bzcat %SOURCE2 > %buildroot/%_iconsdir/%name.png
bzcat %SOURCE3 > %buildroot/%_miconsdir/%name.png

# pregenerate html help files
%yelp_pregenerate %buildroot%_datadir/gnome/help/%name/*/gnumeric.xml

%find_lang --with-gnome %name

%define schemas %name-dialogs %name-general %name-plugins

%post
%gconf2_install %schemas
%update_scrollkeeper
%update_menus

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %schemas
fi

%postun
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%_bindir/*
%dir %_libdir/%name
%dir %_libdir/%name/%version-bonobo
%dir %_libdir/%name/%version-bonobo/plugins
%dir %_libdir/%name/%version-bonobo/plugins/*
%_libdir/%name/%version-bonobo/plugins/*/*.xml
%_libdir/%name/%version-bonobo/plugins/*/*.so
%_libdir/%name/%version-bonobo/plugins/*/*.py*
%_libdir/%name/%version-bonobo/plugins/*/*.la
%_libdir/%name/%version-bonobo/plugins/*/glossary-po-header
%_libdir/%name/%version-bonobo/plugins/*/*.glade
%_libdir/bonobo/servers/*
%_libdir/gnumeric-component
%dir %_datadir/%name
%dir %_datadir/%name/%version-bonobo
%_datadir/%name/%version-bonobo/*
%_datadir/applications/*
%_datadir/mc/templates/*
%_datadir/mime-info/*
%_datadir/pixmaps/*
%_menudir/*
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png
%_man1dir/*
%doc AUTHORS ChangeLog NEWS BUGS README COPYING TODO HACKING
%config %_sysconfdir/gconf/schemas/*

%changelog
* Thu Jul 01 2004 Yuri N. Sedunov <aris@altlinux.ru> 1:1.2.13-alt1
- 1.2.13

* Wed May 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 1:1.2.12-alt1
- 1.2.12

* Thu Apr 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 1:1.2.10-alt1.1
- new version.

* Sat Feb 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 1:1.2.6-alt1.1
- more translations.
- remove *.schemas from sources so to merge translations to it.
- fixed Gnome_Gnumeric.server
- fixed menu.

* Thu Feb 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 1:1.2.6-alt1
- 1.2.6

* Tue Jan 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 1:1.2.5-alt1
- 1.2.5

* Mon Dec 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 1:1.2.4-alt1
- 1.2.4

* Wed Dec 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 1:1.2.3-alt1
- 1.2.3

* Sun Dec 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 1:1.2.2-alt1
- 1.2.2.

* Thu Sep 18 2003 AEN <aen@altlinux.ru> 1:1.2.0-alt1
- new release

* Tue Aug 26 2003 AEN <aen@altlinux.ru> 1:1.1.90-alt1
- release

* Mon Aug 25 2003 AEN <aen@altlinux.ru> 1:1.1.90-alt0.1
- sources from CVS

* Fri Aug 08 2003 AEN <aen@altlinux.ru> 1:1.1.20-alt0.5
- updated sources

* Wed Jul 30 2003 AEN <aen@altlinux.ru> 1:1.1.20-alt0.4
- updated sources

* Thu Jul 10 2003 AEN <aen@altlinux.ru> 1:1.1.20-alt0.3
- updated sources

* Tue Jul 08 2003 AEN <aen@altlinux.ru> 1:1.1.20-alt0.2
- new source frm cvs

* Thu Jul 03 2003 AEN <aen@altlinux.ru> 1:1.1.20-alt0.1
- build from cvs source

* Mon Jun 09 2003 AEN <aen@altlinux.ru> 1:1.1.19-alt1
- new version

* Sat Mar 15 2003 AEN <aen@altlinux.ru> 1:1.1.17-alt3
- build new sources from CVS with gal2-1.99.2

* Sat Mar 15 2003 AEN <aen@altlinux.ru> 1:1.1.17-alt2
- build from CVS

* Tue Feb 25 2003 AEN <aen@altlinux.ru> 1.1.17-alt1
- build from CVS

* Thu Oct 03 2002 AEN <aen@altlinux.ru> 1.1.9-alt1
- new version for Gnome2

* Mon Jul 01 2002 AEN <aen@logic.ru> 1.0.8-alt1
- new version

* Tue May 21 2002 AEN <aen@logic.ru> 1.0.6-alt2
- add russian docs

* Mon May 13 2002 AEN <aen@logic.ru> 1.0.6-alt1
- new version

* Tue Mar 12 2002 AEN <aen@logic.ru> 1.0.5-alt1
- new version

* Mon Feb 04 2002 AEN <aen@logic.ru> 1.0.4-alt1
- new version

* Tue Jan 29 2002 AEN <aen@logic.ru> 1.0.3-alt2
- rebuilt with python-2.2

* Tue Jan 22 2002 AEN <aen@logic.ru> 1.0.3-alt1
- new release
- requires: libbonobo >= 1.0.9

* Wed Jan 16 2002 AEN <aen@logic.ru> 1.0.2-alt1
- new release

* Mon Jan 14 2002 AEN <aen@logic.ru> 1.0.1-alt2
- rebuild with gal-0.19

* Tue Jan 08 2002 AEN <aen@logic.ru> 1.0.1-alt1
- new version

* Mon Dec 31 2001 AEN <aen@logic.ru> 1.0.0-alt1
- release

* Wed Dec 26 2001 AEN <aen@logic.ru> 0.99.1-alt1
- new version

* Mon Dec 17 2001 AEN <aen@logic.ru> 0.99-alt1
- new version

* Tue Nov 20 2001 AEN <aen@logic.ru> 0.76-alt1
- new version

* Mon Nov 12 2001 AEN <aen@logic.ru> 0.75-alt3
- built with evo support

* Fri Nov 09 2001 AEN <aen@logic.ru> 0.75-alt2
- rebuilt with new gal

* Tue  Nov 06 2001 AEN <aen@logic.ru> 0.75-alt1
- new version

* Tue  Oct 30 2001 AEN <aen@logic.ru> 0.74-alt1
- new version

* Mon  Oct 29 2001 AEN <aen@logic.ru> 0.72-alt1
- new version

* Tue Oct 09 2001 AEN <aen@logic.ru> 0.71-alt1
- new version

* Fri Sep 07 2001 AEN <aen@logic.ru> 0.70-alt3
- remove gnome-core from Requires
* Wed Sep 05 2001 AEN <aen@logic.ru> 0.70-alt2
- rebuild with new gal
- oaf-slay in %pre
* Wed Aug 22 2001 AEN <aen@logic.ru> 0.70-alt1
- new version
* Wed Aug 15 2001 AEN <aen@logic.ru> 0.69-alt2
- rebuild with new libgda
* Mon Aug 13 2001 AEN <aen@logic.ru> 0.69-alt1
- new version
* Thu Aug 09 2001 AEN <aen@logic.ru> 0.68-alt2
- rebuilt with new libgal
* Wed Jul 18 2001 AEN <aen@logic.ru> 0.68-alt1
- new version
- w/o gb
* Mon Jul 9 2001 AEN <aen@logic.ru> 0.67-alt2
- rebuild with libgal-0.9
* Fri Jun 29 2001 AEN <aen@logic.ru> 0.66-alt1
- new version

* Wed May 23 2001 AEN <aen@logic.ru> 0.65-alt2
- rebuild with gb

* Tue May 22 2001 AEN <aen@logic.ru> 0.65-alt1
- new version

* Mon May 21 2001 AEN <aen@logic.ru> 0.64-alt4
- rebuild with libgal-0.8

* Tue May 15 2001 AEN <aen@logic.ru> 0.64-alt3
- rebuild with new gal

* Mon Apr 9 2001 AEN <aen@logic.ru> 0.64-alt2
- cleanup spec

* Sat Apr 7 2001 AEN <aen@logic.ru> 0.64-alt1
- 0.64
- hvv patch

* Tue Mar 13 2001 AEN <aen@logic.ru> 0.63-ipl2mdk
- rebuild in release environment

* Wed Feb 28 2001 AEN <aen@logic.ru> 0.63-ipl1mdk
- 0.63 with new libraries and gnome-db
* Mon Jan 08 2001 AEN <aen@logic.ru>
- 0.61
* Sat Dec 16 2000 AEN <aen@logic.ru>
- rebuild with gal-0.4.1

* Thu Dec 14 2000 AEN <aen@logic.ru>
- 0.60
- adopted for RE

* Tue Nov 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.58-1mdk
- new and shiny source.
- requires gnome-print >= 0.25
- requires gal >= 0.2.2
- buildrequires gnome-print-devel >= 0.25
- buildrequires gal >= 0.2.2

* Fri Oct 13 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.57-1mdk
- new version (needs gal)
- corrected install and added some files

* Tue Aug 29 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.56-4mdk
- added icons
- menu entry in spec file
- packager tag

* Tue Aug 22 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.56-3mdk
- BM (help by Damien)
- more macros

* Tue Jun 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.56-2mdk
- fix URL
- spec simplification through new chmou toys

* Wed Jun 21 2000 dam's <damien@mandrakesoft.com> 0.56-1mdk
- updated to 0.56

* Thu Jun  8 2000 dam's <damien@mandrakesoft.com> 0.54-1mdk
- updated to helix version.

* Sat May 27 2000 dam's <damien@mandrakesoft.com> 0.53-1mdk
- took new version from Helix.

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.52-3mdk
- BuildRequires: gnome-print-devel.

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.52-2mdk
- added a 32x32 icon for a better-looking KDE docking
- removed gnumeric.desktop because we don't need it, we have menu for that
- fixed /usr/share/locale/.. directory owns

* Fri Apr 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.52-1mdk
- took srpm from Helix [grrr.. they don't provide changelog, why?]
- add menu entry, with icon
